﻿using UnityEngine;
using System.Collections;
using System;
using UnityEngine.UI;


public class Player : MonoBehaviour
{

    public float Speed = 0f;
    public GameObject disparoJugador;
    public AudioClip sonidoDisparar;

    private float movex = 0f;
    private float movey = 0f;
    private Animator animator;

    // Use this for initialization
    void Start()
    {
        animator = GetComponent<Animator>();
    }

    // Update is called once per frame
    void FixedUpdate()
    {
        movex = Input.GetAxis("Horizontal");
        movey = Input.GetAxis("Vertical");
        GetComponent<Rigidbody2D>().velocity = new Vector2(movex * Speed, movey * Speed);
        scriptDisparo disparo = disparoJugador.GetComponent<scriptDisparo>();
        //Cambiar animaciones
        if (movex > 0)
        {
            animator.SetBool("derecha", true);
            
                disparo.DireccionArma = Direccion.Horizontal;
                disparo.Velocidad = Math.Abs(disparo.Velocidad);
            
        }
        else if (movex < 0)
        {
            animator.SetBool("derecha", false);
            
                //Ataque hacia la izquierda
                disparo.DireccionArma = Direccion.Horizontal;
                disparo.Velocidad = -Math.Abs(disparo.Velocidad);
            
        }
        else if (movex == 0 && movey != 0)
        {

                //Ataque hacia abajo
                disparo.DireccionArma = Direccion.Vertical;
                disparo.Velocidad = -Math.Abs(disparo.Velocidad);
                //Creamos una instancia del prefab en nuestra escena, concretamente en la posición de nuestro personaje

        }
        if (Input.GetButtonDown("Fire1")&& disparoJugador != null)
        {
            Instantiate(disparoJugador, transform.position, Quaternion.identity);
            SoundManager.instance.PlaySingle(sonidoDisparar);

        }
    }
}